/**
 * Script to recompress static JavaScript files after changes
 */

const fs = require('fs');
const uglify = require('uglify-js');

// Read the application.js file
const applicationJs = fs.readFileSync('./static/application.js', 'utf8');

// Minify it
const minified = uglify.minify(applicationJs);
if (minified.error) {
  console.error('Error minifying JavaScript:', minified.error);
  process.exit(1);
}

// Write the minified file
fs.writeFileSync('./static/application.min.js', minified.code, 'utf8');
console.log('Successfully compressed application.js into application.min.js'); 